<?php

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

class plgSystemShnodoubles extends JPlugin
{

	function onAfterRender()
	{

		$app =& JFactory::getApplication();
		$homealias=$this->params->get('homealias', 'home');

		if($app->getName() != 'site') {
			return true;
		}
		$buffer = JResponse::getBody();
		$regex  = '#component/content/article/#m';
		$buffer=preg_replace($regex,$homealias.'/',$buffer);
		JResponse::setBody($buffer);
		return true;
	}

	function onPrepareContent(&$article, &$params, $limitstart = 0)
	{

		$real_link = JRequest::getURI();
		$original_link='';
		$option=JRequest::getVar('option', '', 'get');
		$view=JRequest::getVar('view', '', 'get');
		$layout=JRequest::getVar('layout');

		$homealias=$this->params->get('homealias', 'home');

		if($option=='com_content'){
		    switch($view){
		      case 'article':
			$original_link=$article->readmore_link;
			if(strpos($original_link, 'component/content/article')!== false) $original_link= str_replace('component/content/article', $homealias, $original_link);
		      break;
		      case 'category':
			if($layout=='blog' && $article->catslug){
			    $original_link = JRoute::_(ContentHelperRoute::getCategoryRoute($article->catslug, $article->sectionid));
			    if (JRequest::getInt('start') > 0) $original_link .= "?start=" . JRequest::getVar('start');
			}
		      break;
		      case 'section':
			if($layout=='blog' && $article->sectionid){			 
			    $original_link = JRoute::_(ContentHelperRoute::getSectionRoute($article->sectionid));
			    if (JRequest::getInt('start') > 0) $original_link .= "?start=" . JRequest::getVar('start');
			}
		      break;
		      case 'frontpage':
			  $original_link = JURI::base(true).'/';
			  if (JRequest::getInt('start') > 0) $original_link .= "index.php?start=".JRequest::getVar('start');
		      break;
		    }

		    if (($original_link != $real_link) && $original_link){
		      if($this->params->get('301redirect', 1)){
			    JApplication::redirect($original_link);
		      }else JError::raiseError( 404, JText::_( 'Страница не найдена' ) );
		    } 
		}
	}

}
